Subject: Re: Agent Performance
From: Christopher Ngo <[email-masked]>
To: Deeksha Dadu <[email-masked]>
Cc: Ashish Dabral <[email-masked]>
Date: Wed, 7 Oct 2020 15:51:05 +0100

Hi Deeksha,

Let's do it over whatsapp or the Google Meets link in the calendar invite
I've just sent.

Best,

On Wed, 7 Oct 2020 at 15:32, Deeksha Dadu <[email-masked]> wrote:

> Hi Chris,
>
> 12:30pm UK time works for me. Should I call you on WhatsApp or you would
> prefer chatting on Zoom?
>
> Regards,
> Deeksha
>
> From: Christopher Ngo <[email-masked]>
> Date: Wednesday, 7 October 2020 at 7:24 PM
> To: Deeksha Dadu <[email-masked]>
> Cc: Ashish Dabral <[email-masked]>
> Subject: Re: Agent Performance
>
> Hi Deeksha. What time works for you tomorrow to chat? 12.30 UK time?
>
> On Wed, 7 Oct 2020 at 10:21, Deeksha Dadu <[email-masked]>
> wrote:
>
>> Hi Chris,
>>
>> I also want to clarify where to extract these reports from. Do we use the
>> same old dashboard? Or you think you can share the productivity with us
>> everyday the way it used to?
>>
>> Kind regards,
>> Deeksha
>>
>> From: Ashish Dabral <[email-masked]>
>> Date: Wednesday, 7 October 2020 at 2:13 PM
>> To: Christopher Ngo <[email-masked]>
>> Cc: Deeksha Dadu <[email-masked]>
>> Subject: Re: Agent Performance
>>
>> Hi Chris,
>>
>> Here is the screenshot for target 24.
>>
>>
>>
>>
>> Regards,
>> Ashish Dabral
>>
>> ------------------------------
>> *From: *"Ashish Dabral" <[email-masked]>
>> *To: *"Christopher Ngo" <[email-masked]>
>> *Cc: *"Deeksha" <[email-masked]>
>> *Sent: *Wednesday, October 7, 2020 10:08:42 AM
>> *Subject: *Re: Agent Performance
>>
>> Hi Chris,
>>
>> Thank you for highlighting this.
>>
>> I have given the feedback to the team. As per last update from Ingrid the
>> target was 24. However, I have informed all of them the new target is - 32
>>
>> You will see better numbers from the agents going forward.
>>
>>
>> Regards,
>> Ashish Dabral
>>
>> ------------------------------
>> *From: *"Christopher Ngo" <[email-masked]>
>> *To: *"Deeksha" <[email-masked]>, "Ashish Dabral" <
>> [email-masked]>
>> *Sent: *Tuesday, October 6, 2020 7:50:37 PM
>> *Subject: *Agent Performance
>>
>> Hi Deeksha, Ashish,
>> I am writing to you today with some major concerns over the performance
>> of the agents for the past 2 weeks.
>> From what I can see, there has been a substantial decrease in their
>> output. The builds & rebuilds have been at 50-60% of the expected amount.
>> Furthermore, in the most recent meetings, there has been zero interaction
>> & engagement from the agents.
>>
>> Please refer to the table below for a view of this underperformance:
>>
>> Let me know at your earliest convenience.
>>
>> Kind regards,
>> ,
>> --
>>
>> * Christopher Ngo*,
>> *Head of Operations UENI LTD*
>> 7 Bell Yard
>> London, WC2A 2JR
>> ueni.com <http://www.ueni.com/> | [email-masked]
>>
>>
>> UENI is a limited company registered in England and Wales under
>> registration number 9368082. Registered office is 7 Bell Yard, London, WC2A
>> 2JR. VAT Number: GB218792186
>> *We love feedback - review us on TrustPilot
>> <https://uk.trustpilot.com/review/ueni.com> and Google
>> <http://goo.gl/7Umimf>*
>> <https://www.google.com/partners/agency?id=6750886093>
>>
>
>
> --
>
> * Christopher Ngo*,
> *Head of Operations UENI LTD*
> 7 Bell Yard
> London, WC2A 2JR
> ueni.com <http://www.ueni.com/> | [email-masked]
>
> UENI is a limited company registered in England and Wales under
> registration number 9368082. Registered office is 7 Bell Yard, London, WC2A
> 2JR. VAT Number: GB218792186
> *We love feedback - review us on TrustPilot
> <https://uk.trustpilot.com/review/ueni.com> and Google
> <http://goo.gl/7Umimf>*
> <https://www.google.com/partners/agency?id=6750886093>
>

-- 

*Christopher Ngo*,
*Head of OperationsUENI LTD*
7 Bell Yard
London, WC2A 2JR
ueni.com <http://www.ueni.com/> | [email-masked]

UENI is a limited company registered in England and Wales under
registration number 9368082. Registered office is 7 Bell Yard, London, WC2A
2JR. VAT Number: GB218792186
*We love feedback - review us on TrustPilot
<https://uk.trustpilot.com/review/ueni.com> and Google
<http://goo.gl/7Umimf>*
<https://www.google.com/partners/agency?id=6750886093>